SDL_DestroySemaphore(3)

NAME
SDL_DestroySemaphore - Destroy a semaphore.

HEADER FILE
Defined in SDL3/SDL_mutex.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_DestroySemaphore(SDL_Semaphore *sem);

DESCRIPTION
It is not safe to destroy a semaphore if there are threads currently waiting on it.

FUNCTION PARAMETERS

sem the semaphore to destroy.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_CreateSemaphore(3)